Best practice is to use the resume endpoint to answer MFA challenges; however, MX continues to support partners who leverage the update member endpoint for this purpose. This endpoint allows you to respond to multifactor authentication by providing answers to MFA challenges. Aggregation is automatically resumed if the correct credentials are provided in the request, i.e., if the challenges are answered correctly. A member must have a connection_status of CHALLENGED in order to successfully use the resume aggregation endpoint; a 405 Method Not Allowed error will be returned otherwise. A 400 Bad Request error will be returned if the credentials provided are invalid.
Authorizations
MD-SESSION-TOKEN
string
header
required
MX Session Token
Request an API token using the read API token endpoint in the MX SSO API.
Exchange an API token for a session token.
A session token is obtained by sending a POST request to /sessions
The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
If you send a request with an expired session token you'll receive an error code of 4011.
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
member_guid
string
required
The unique identifier for the member. Defined by MX.
Body
application/vnd.mx.nexus.v1+json
challenges
object[]
Hide child attributes
challenges.guid
string
required
Example:
"institution-credential-guid"
challenges.value
string
required
Example:
"user-entered-value"
Response
200 - application/vnd.mx.nexus.v1+json
OK
members
object[]
Hide child attributes
members.aggregated_at
string | null
The date and time the most recent aggregation-type job was started, given in ISO 8601 format with a time component. A job will automatically be started when a member is created or its credentials are updated, unless the skip_aggregation parameter is used. Jobs can also be started via manual aggregations, background aggregations, API endpoints, or when opening an MX widget. A job can be a normal aggregation, or a premium job such as identification, verification, fetching statements, or fetching an extended transaction history. If a member is deleted and then re-created with the skip_aggregation parameter set to true or if it is re-created within the throttle window (typically three hours), the previous value will be returned.
Example:
"2016-10-13T18:07:57.000Z"
members.background_aggregation_is_disabled
boolean
This field indicates whether background aggregation is disabled for the member.
Example:
false
members.connection_status
string | null
This field indicates the state of a member's aggregation, provided as a string.
Example:
"CONNECTED"
members.external_guid
any | null
Partner created identifier for the member. It must be unique for all members belonging to all users within the client.
Example:
null
members.guid
string | null
Unique identifier for the member. Defined by MX.
Example:
"MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
members.institution_code
string | null
The code identifier for the institution.
Example:
"chase"
members.institution_guid
string
The unique identifier for the institution. Defined by MX.
Example:
"INS-1572a04c-912b-59bf-5841-332c7dfafaef"
members.is_being_aggregated
boolean | null
This field will be true if the member is being aggregated at the time of the request. Otherwise, this field will be false.
Example:
false
members.is_managed_by_user
boolean | null
If the member is managed by the user, this field will be true. Otherwise, the member is managed by the MX partner, and this field will be false. Members created with Nexus are considered to be managed by the user. This field should be used in place of is_user_created.
Example:
false
members.is_oauth
boolean | null
This indicates whether the member uses OAuth to authenticate the member. Defaults to false. authentication.
Example:
false
members.is_user_created
boolean
If the member is user created, this field will be true. Otherwise, this field will be false. Members created with Nexus are considered user created. You should use the field is_managed_by_user instead of this field as it is being deprecated.
Example:
true
members.most_recent_job_guid
string
Unique identifier for the most recent job. Defined by MX.
Example:
"JOB-d6bb804b-6d12-44f1-b0ad-403441c03372"
members.metadata
string | null
Additional information a partner can store on the member.
Name of the given member. If omitted in a member create request, the institution name within the MX Platform will be used.
Example:
"Chase Bank"
members.successfully_aggregated_at
string | null
Date and time the account was last successfully aggregated, represented in ISO 8601 format with timestamp (e.g., 2015-04-13T12:01:23-00:00).
Example:
"2016-10-13T17:57:38.000Z"
members.use_cases
enum<string>[]
The use case associated with the member. Valid values are PFM and/or MONEY_MOVEMENT. Only set this if you've met with MX and have opted in to using this field. For more info, see Member Use Cases.
Available options:
MONEY_MOVEMENT,
PFM
Example:
["PFM"]
members.user_guid
string | null
Unique identifier for the user the member is attached to. Defined by MX.